using System;

using System.Collections;
using System.Xml;
using System.IO;

namespace FxLib.Utils
{
	/// <summary>
	/// ȯ漳  Ŭ
	/// </summary>
	public class XmlConfig
	{
		XmlDocument oXMLDoc = null;			// XML Document ü 

		/// <summary>
		/// XML ü Ѵ.
		/// </summary>
		/// <param name="parTagName">±̸ 迭</param>
		public XmlConfig()
		{
			oXMLDoc = new XmlDocument(); 
		}

		/// <summary>
		/// XML Ҹ εѴ.
		/// </summary>
		/// <param name="strXMLMSG">XML ڿ</param>
		public void LoadXML(string strXMLMSG)
		{
			try
			{
				oXMLDoc.LoadXml(strXMLMSG);

			}
			catch(Exception err)
			{
				throw err;
			}
		}

		/// <summary>
		///  о XML  ʱȭ Ѵ.
		/// </summary>
		/// <param name="strPath">XML ϰθ</param>
		public void Load(string strPath)
		{
			try
			{
				oXMLDoc.Load(strPath);
			}
			catch(Exception err)
			{
				throw err;
			}	
		}
		
		/// <summary>
		/// ±׿   ȯѴ.
		/// </summary>
		/// <param name="strTagName">±̸</param>
		/// <returns>±װ</returns>
		public string getTagValue(string strTagName)
		{
			string strTagValue = string.Empty;

			try
			{
//				XmlNode node = oXMLDoc.SelectSingleNode(strTagName);
//				return node.InnerText.Trim();

				XmlNodeList elemList = oXMLDoc.GetElementsByTagName(strTagName);
//				for (int i=0; i < elemList.Count; i++)
//				{   
//					strTagValue = elemList[i].InnerXml;
//				}

				return elemList.Count == 0 ? string.Empty : elemList[0].InnerXml;
			}
			catch(Exception err)
			{
				clsLog.Write(clsInfo.FATAL, err.ToString());
				throw err;
			}
		}

		public void setTagValue(string strTagName, string strValue)
		{
			try
			{
				XmlNodeList elemList = oXMLDoc.GetElementsByTagName(strTagName);
				if(elemList.Count > 0)
					elemList[0].InnerXml = strValue;
			}
			catch(Exception err)
			{
				clsLog.Write(clsInfo.FATAL, err.ToString());
				throw err;
			}
		}

		public void SaveConfig()
		{
			try
			{
				oXMLDoc.Save("config.xml");
			}
			catch(Exception err)
			{
				clsLog.Write(clsInfo.FATAL, err.ToString());
				throw err;
			}
		}
	}
}
