using System;
using System.Collections.Generic;
using System.Text;
// ߰
using System.Data.SqlClient;
using System.Data;
using FxLib.Utils;

namespace MyOpenBom.Common
{
    // TODO: DBHelper 񿬰ᵥͼ ȯ Լ ۼ
    // TODO: Ʈ ڵ ߰
    class clsDBHelper
    {
        private string strCon;
        //private static SqlConnection oCon;
        private SqlConnection oCon;

        public clsDBHelper()
        {
            try
            {
                // ȯ漳  б
                XmlConfig oXC = new XmlConfig();
                oXC.Load("config.xml");

                // TODO: db      д  ոغδ.
                //   ִ ü ϳ̰  ü ؼ  ϰ ʹٸ
                // singleton ü ̿ϴ  ?
                //strCon = "server = (local);user id=sa; password = rhdtjrrb; database = openbom;";
                strCon = string.Format("server = {0}; user id={1}; password={2}; database={3};",
                    oXC.getTagValue("Server"), oXC.getTagValue("Id"),
                    clsEncrypt.FromBase64(oXC.getTagValue("Pwd")), oXC.getTagValue("Db"));

                Init();
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.INFO, strCon);
                throw err;
            }
        }

        //public DBHelper(string strServer, string strId, string strPwd, string strDb)
        //{
        //    strCon = string.Format("server = {0}; user id={1}; password={2}; database={3};",
        //        strServer, strId, strPwd, strDb);
            
        //    Init();
        //}

        public string getConnectionString()
        {
            return strCon;
        }

        private void Init()
        {
            oCon = new SqlConnection();
            oCon.ConnectionString = strCon;
        }

        public int ExecuteNonQuery(string strQuery)
        {
            try
            {
                oCon.Open();
                SqlCommand oCommand = new SqlCommand();
                oCommand.Connection = oCon;

                oCommand.CommandText = strQuery;
                oCommand.ExecuteNonQuery();

                oCon.Close();
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.INFO, strQuery, err);
                //clsLog.Write(clsInfo.INFO, strQuery);
                throw err;
            }

            return 0;
        }

        public SqlDataReader ExecuteReader(string strQuery)
        {
            SqlDataReader oReader;
            try
            {
                oCon.Open();
                SqlCommand oCommand = new SqlCommand();
                oCommand.Connection = oCon;

                oCommand.CommandText = strQuery;
                oReader = oCommand.ExecuteReader();

                oCon.Close();
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.INFO, strQuery);
                throw err;
            }

            return oReader;
        }

        /// <summary>
        /// ȸ   DataSet ȯѴ.
        /// </summary>
        /// <param name="strQuery">ȸ </param>
        /// <param name="strTable">̺ Ī</param>
        /// <returns></returns>
        public DataSet ExecuteQuery(string strQuery, string strTable)
        {
            DataSet oDs;
            try
            {
                SqlDataAdapter oAdapter = new SqlDataAdapter(strQuery, oCon);

                // ŷó  Ѵ.
                oDs = new DataSet();
                oAdapter.Fill(oDs, strTable);

                oAdapter = null;
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.INFO, strQuery);
                throw err;
            }

            return oDs;
        }
    }

    //class DBHelper_Singleton
    //{
    //    private static DBHelper singleton;

    //    private static string strCon;
    //    private static SqlConnection oCon;

    //    private DBHelper_Singleton()
    //    {
    //        strCon = "server = (local);user id=sa; password = rhdtjrrb; database = openbom;";
    //        oCon = new SqlConnection();
    //    }

    //    public static DBHelper_Singleton GetInstance
    //    {
    //        get
    //        {
    //            lock (new Object())
    //            {
    //                if (singleton == null)
    //                {
    //                    singleton = new DBHelper_Singleton();
    //                }
    //                return singleton;
    //            }
    //        }
    //    }
    //}
}
