using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
// Ʒ ߰ ӽ̽
using FxLib.Utils;

namespace MyOpenBom.Common
{
    /// <summary>
    /// ȯ漳  
    /// </summary>
    public partial class frmConfig : Form
    {
        XmlConfig oXC;

        public frmConfig()
        {
            InitializeComponent();

            try
            {
                // ȯ漳  б
                oXC = new XmlConfig();
                oXC.Load("config.xml");

                txtServer.Text = oXC.getTagValue("Server");

                txtId.Text = oXC.getTagValue("Id");
                txtPwd.Text = oXC.getTagValue("Pwd");
                txtDb.Text = oXC.getTagValue("Db");
                //strLogDetail = oXC.getTagValue("LogDetail");

                // ȣ Base64 ڵǾ ֱ 
                //  ؽƮ ڵش.
                // static Լ ؼ Ѵ. (2008-09-16)
                //clsEncrypt oEM = new clsEncrypt();
                //txtPwd.Text = oEM.FromBase64(oXC.getTagValue("Pwd"));
                txtPwd.Text = clsEncrypt.FromBase64(oXC.getTagValue("Pwd"));
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.FATAL, err.ToString());
                MessageBox.Show(err.ToString());
            }
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            try
            {
                oXC.setTagValue("Server", txtServer.Text);
                oXC.setTagValue("Id", txtId.Text);
                oXC.setTagValue("Pwd", clsEncrypt.ToBase64(txtPwd.Text));
                oXC.setTagValue("Db", txtDb.Text);

                oXC.SaveConfig();

                this.Close();
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.FATAL, err.ToString());
                MessageBox.Show(err.ToString());
            }
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}