using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
// ߰
using FxLib.Utils;

namespace MyOpenBom.ItemMan
{
    public partial class frmItemMain : Form
    {
        
        clsItem oItem;      // ǰڵ ü
        //DataSet dsItem;     // ǰ ͼ

        public frmItemMain()
        {
            InitializeComponent();

            try
            {
                oItem = new clsItem();
                oItem.clsItemChanged += new clsItem.ChangedEventHandler(oItem_clsItemChanged);

                Load_Init();
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.FATAL, err.ToString());
                MessageBox.Show(err.ToString());
            }
        }

        void oItem_clsItemChanged(object sender, EventArgs e)
        {
            Load_Init();
        }

        void Load_Init()
        {
            dtGVItem.DataSource = oItem.Read("");
            dtGVItem.DataMember = "t_item";

            // Ư ÷ ڿ  ʰ Ѵ.
            dtGVItem.Columns[0].HeaderText = "ǰڵ";
            //dtGVItem.Columns[0].Visible = false;
            dtGVItem.Columns[1].HeaderText = "ǰ񱸺";
            dtGVItem.Columns[2].HeaderText = "ǰ";
            dtGVItem.Columns[3].HeaderText = "԰";
            dtGVItem.Columns[3].Visible = false;
            dtGVItem.Columns[4].HeaderText = "ABC";
            dtGVItem.Columns[4].Visible = false;
            dtGVItem.Columns[5].HeaderText = "⺻ŷó";
            dtGVItem.Columns[5].Visible = false;
            dtGVItem.Columns[5].Width = 200;
            dtGVItem.Columns[6].HeaderText = "";
            dtGVItem.Columns[6].DefaultCellStyle.Format = "#,#";
            dtGVItem.Columns[7].HeaderText = "";
            dtGVItem.Columns[7].DefaultCellStyle.Format = "#,#";
            dtGVItem.Columns[8].HeaderText = "ܰ";
            dtGVItem.Columns[8].DefaultCellStyle.Format = "c";
            dtGVItem.Columns[9].HeaderText = "";
            dtGVItem.Columns[9].Visible = false;
            dtGVItem.Columns[10].HeaderText = "ϼ";
            dtGVItem.Columns[10].Visible = false;
        }

        private void btnAdd_Click(object sender, EventArgs e)
        {
            try
            {
                oItem.Init();
                frmItemAdd oItemAdd = new frmItemAdd(oItem);
                oItemAdd.ShowDialog();
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.FATAL, err.ToString());
                MessageBox.Show(err.ToString());
            }
        }

        private void btnDelete_Click(object sender, EventArgs e)
        {
            try
            {
                if (MessageBox.Show(dtGVItem.CurrentRow.Cells[2].Value.ToString() + "  Ͻðڽϱ?", 
                    "ǰڵ ", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                {
                    oItem.Delete(dtGVItem.CurrentRow.Cells[0].Value.ToString());
                }
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.FATAL, err.ToString());
                MessageBox.Show(err.ToString());
            }

        }

        private void btnRefresh_Click(object sender, EventArgs e)
        {
            Load_Init();
        }

        private void dtGVItem_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {
            DataGridViewRow row = dtGVItem.CurrentRow;

            oItem.Code = row.Cells[0].Value.ToString();
            oItem.Cat = row.Cells[1].Value.ToString();          // īװ ̸
            oItem.Im_desc = row.Cells[2].Value.ToString();
            oItem.Spec = row.Cells[3].Value.ToString();         //  
            oItem.ABC = row.Cells[4].Value.ToString();          // ABC 
            //oItem. = row.Cells[5].Value.ToString();       // ⺻ŷó
            //oItem. = row.Cells[6].Value.ToString();       // 
            oItem.Ss = row.Cells[7].Value.ToString();
            oItem.scost = row.Cells[8].Value.ToString();
            oItem.pansize = row.Cells[9].Value.ToString();
            oItem.sday = row.Cells[10].Value.ToString();

            frmItemAdd oItemAdd = new frmItemAdd(oItem);
            oItemAdd.ShowDialog();

        }
    }
}