using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

// MyOpenBom ߰ ӽ̽
using MyOpenBom.CustMan;
using FxLib.Utils;

namespace MyOpenBom
{
    /// <summary>
    /// OpenBom ȭ ǰ
    /// </summary>
    public partial class frmMain : Form
    {
        string strServer = string.Empty;           //  ip
        string strId = string.Empty;               // ̵
        string strPwd = string.Empty;              // ȣ
        string strDb = string.Empty;               //  db
        string strLogDetail = string.Empty;        // α 

        public frmMain()
        {
            InitializeComponent();

            try
            {
                // ȯ漳  б
                XmlConfig oXC = new XmlConfig();
                oXC.Load("config.xml");

                strServer = oXC.getTagValue("Server");

                strId = oXC.getTagValue("Id");
                strPwd = oXC.getTagValue("Pwd");
                strDb = oXC.getTagValue("Db");
                strLogDetail = oXC.getTagValue("LogDetail");

                // ȣ Base64 ڵǾ ֱ 
                //  ؽƮ ڵش.
                strPwd = clsEncrypt.FromBase64(strPwd);
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.FATAL, err.ToString());
                MessageBox.Show(err.ToString());
            }

        }

        private void button1_Click(object sender, EventArgs e)
        {
            MessageBox.Show("ϵũ մϴ. -_-;", "ǻ â");
            this.Close();
        }

        private void CustManToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form oCustMain = new CustMan.frmCustMain();
            oCustMain.Show();
        }

        private void BomManToolStripMenuItem_Click(object sender, EventArgs e)
        {
        }

        private void ConfigToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form oConfig = new Common.frmConfig();
            oConfig.ShowDialog();
        }

        private void ItemToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form oItemMan = new ItemMan.frmItemMain();
            oItemMan.ShowDialog();
        }

        private void toolStripMenuItem1_Click(object sender, EventArgs e)
        {
            Form oBomMan = new BomMan.frmBOMMan();
            oBomMan.ShowDialog();
        }

        private void BOMExpansionToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form oBomTree = new BomMan.frmBOMTree();
            oBomTree.ShowDialog();
        }

        private void BOMInverseExpansionToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // ڰ  ǰ  ǰ  ش.
            Form oBomInverseTree = new BomMan.frmBOMInverseTree();
            oBomInverseTree.ShowDialog();
        }

        private void VersionToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form oVersion = new frmVersion();
            oVersion.ShowDialog();
        }

    }
}