using System;
using System.Collections.Generic;
using System.Text;
// ߰
using System.Data;
using System.Collections;
using System.Data.SqlClient;
using MyOpenBom.Common;
using FxLib.Utils;
using System.Transactions;

namespace MyOpenBom.CustMan
{
    // ŷó  ü
    /// <summary>
    /// ŷó  ü
    /// - ̺Ʈ(delegation) ̿ؼ  ü ȭ  ְ ޴´.
    /// </summary>
    public class clsCustMan
    {
        ArrayList arrCust;      // ŷó  迭ü
        DataSet odsCust;        // ŷó  ͼ

        public clsCustMan()
        {
            arrCust = new ArrayList();
        }

        /// <summary>
        /// ŷó ü ߰Ѵ.
        /// </summary>
        /// <param name="oCust">ŷóü</param>
        /// <returns></returns>
        private int Add(clsCust oCust)
        {
            try
            {
                arrCust.Add(oCust);
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.FATAL, err.ToString());
                throw err;
            }
            return 0;
        }

        // ŷó ͼ ȯѴ.
        public DataSet Read()
        {
            string strQuery = "select code, cls, idno, " +
                " custdesc, custname, phone, post, addr, cname, type, kind, nat_no from t_cust";

            clsDBHelper oDb = new clsDBHelper();
            // ŷó  Ѵ.
            odsCust = oDb.ExecuteQuery(strQuery, "t_cust");
            oDb = null;

            return odsCust;
        }
    }

    /// <summary>
    ///  ŷó ü
    /// - Ư ̺ Ǵ   ü
    /// -  ƮѰ ü Ƽ ε α׷
    /// - ü   delegate ؼ 
    /// 
    /// </summary>
    public class clsCust
    {
        // 1.  ˸ ϴ  Ǵ 븮 
        public delegate void ChangedEventHandler(object sender, EventArgs e);

        // 2.   Ұ   ˸ ޱ 
        // Ŭ̾Ʈ   ִ ̺Ʈ
        public event ChangedEventHandler MyChanged;

        string strCode;     // ڵ
        string strCls;      // 
        string strIdno;     // ڵϹȣ
        string strDesc;     // ŷó
        string strName;     // ǥڼ
        string strPhone;    // ȭȣ
        string strPost;     // ȣ
        string strAddr;     // ŷóּ
        string strCname;    // ڼ
        string strType;     // 
        string strKind;     // 
        string strNat_no;   // ڵ, 3ڸ

        public clsCust(string sCode, string sCls, string sIdno, string sDesc,
            string sName, string sPhone, string sPost, string sAddr,
            string sCname, string sType, string sKind, string sNat_no)
        {
            strCode = sCode;
            strCls = sCls;
            strIdno = sIdno;
            strDesc = sDesc;
            strName = sName;
            strPhone = sPhone;
            strPost = sPost;
            strAddr = sAddr;
            strCname = sCname;
            strType = sType;
            strKind = sKind;
            strNat_no = sNat_no;
        }
        public clsCust()
        {

        }

        /// <summary>
        /// ü  ʱȭ Ѵ.
        /// </summary>
        /// <returns>ڱڽ ü ȯѴ.</returns>
        public clsCust init()
        {
            strCode = "";
            strCls = "";
            strIdno = "";
            strDesc = "";
            strName = "";
            strPhone = "";
            strPost = "";
            strAddr = "";
            strCname = "";
            strType = "";
            strKind = "";
            strNat_no = "";

            return this;
        }

        /// <summary>
        /// 3. Changed ̺Ʈ ȣ.    ȣ
        /// </summary>
        /// <param name="e"></param>
        protected virtual void OnMyChanged(EventArgs e)
        {
            if (MyChanged != null)
                MyChanged(this, e);
        } 

        /// <summary>
        /// ŷó ü  ߰Ѵ.
        /// </summary>
        /// <returns></returns>
        public void Create()
        {
            try
            {
                // Ͻ Ʈ ù 
                // 'Ҽ' -> 'ƮǸ' ߴܵ īƮ ͸
                // , Windows XP 'ƮũDTC' Ȱȭ   Ѵ.
                //  Ʒ ڵ  ʴ´.
                //using (TransactionScope scope = new TransactionScope())
                //{
                    // Է  ۼ
                    string strQuery = string.Format("insert into t_cust (cls, idno, custdesc, custname, phone, " +
                        "post, addr, cname, type, kind, nat_no) values " +
                        "('{0}', '{1}', '{2}', '{3}', '{4}', '{5}', '{6}', '{7}', '{8}', '{9}', " +
                        "'{10}')", strCls, strIdno, strDesc, strName, strPhone, strPost,
                        strAddr, strCname, strType, strKind, strNat_no);

                    clsDBHelper oDb = new clsDBHelper();
                    oDb.ExecuteNonQuery(strQuery);
                    oDb = null;

                //    scope.Complete();
                //}
                OnMyChanged(EventArgs.Empty);
            }
            //TODO: Exception TEST
            catch (clsCustAppException err)
            {
                throw err;
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.FATAL, err.ToString(), err);
                //clsLog.Write(clsInfo.FATAL, err.ToString());
                //throw err;

                //TODO: Exception TEST
                //throw new clsCustAppException("TEST", err);
            }
        }

        /// <summary>
        /// ŷó ü  Ʈ Ѵ.
        /// </summary>
        public void Update()
        {
            try
            {
                // Է  ۼ
                string strQuery = string.Format("update t_cust set cls = '{0}', idno = '{1}', " +
                    " custdesc = '{2}', custname = '{3}', phone = '{4}', " +
                    " post = '{5}', addr = '{6}', cname = '{7}', type = '{8}', " + 
                    " kind = '{9}', nat_no = '{10}' where code = {11} ", 
                    strCls, strIdno, strDesc, strName, strPhone, strPost,
                    strAddr, strCname, strType, strKind, strNat_no, strCode);

                clsDBHelper oDb = new clsDBHelper();
                oDb.ExecuteNonQuery(strQuery);
                oDb = null;

                OnMyChanged(EventArgs.Empty);
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.FATAL, err.ToString());
                throw err;
            }
        }

        /// <summary>
        /// ŷó ü  Ѵ.
        /// </summary>
        public void Delete(string strCode)
        {
            try
            {
                // Է  ۼ
                string strQuery = string.Format("delete t_cust where code = {0} ", strCode);

                clsDBHelper oDb = new clsDBHelper();
                oDb.ExecuteNonQuery(strQuery);
                oDb = null;

                OnMyChanged(EventArgs.Empty);
            }
            catch (Exception err)
            {
                clsLog.Write(clsInfo.FATAL, err.ToString());
                throw err;
            }
        }

        #region Ӽ
        public string Code
        {
            get { return strCode; }
            set { strCode = value; }
        }

        public string Cls
        {
            get { return strCls; } 
            set { strCls = value; }
        }

        public string Idno
        {
            get { return strIdno; }
            set { strIdno = value; }
        }

        public string Desc
        {
            get { return strDesc; }
            set { strDesc = value; }
        }

        public string Name
        {
            get { return strName; }
            set { strName = value; }
        }

        public string Phone
        {
            get { return strPhone; }
            set { strPhone = value; }
        }

        public string Post
        {
            get { return strPost; }
            set { strPost = value; }
        }

        public string Addr
        {
            get { return strAddr; }
            set { strAddr = value; }
        }

        public string Cname
        {
            get { return strCname; }
            set { strCname = value; }
        }

        public string Type
        {
            get { return strType; }
            set { strType = value; }
        }

        public string Kind
        {
            get { return strKind; }
            set { strKind = value; }
        }

        public string Nat_no
        {
            get { return strNat_no; }
            set { strNat_no = value; }
        }
        #endregion
    }
}
